Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QHelpEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QHelpEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QHelpEvent

extends QEvent

The `QHelpEvent` class provides an event that is used to request helpful information about a particular point in a widget.

This event can be intercepted in applications to provide tooltips or "What's This?" help for custom widgets. The `type` can be either QEvent::ToolTip or QEvent::WhatsThis.

See Also:
  `QToolTip`, `QWhatsThis`, `QStatusTipEvent`, `QWhatsThisClickedEvent`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QHelpEvent(QEvent.Type type, QPoint pos, QPoint globalPos)` Constructs a help event with the given `type` corresponding to the widget-relative position specified by `pos` and the global position specified by `globalPos`.

Method Summary
`static QHelpEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QHelpEvent instance pointed to by nativePointer
`QPoint` | `globalPos()` Returns the mouse cursor position when the event was generated in global coordinates.
`int` | `globalX()` Same as `globalPos`.`x`.
`int` | `globalY()` Same as `globalPos`.`y`.
`QPoint` | `pos()` Returns the mouse cursor position when the event was generated, relative to the widget to which the event is dispatched.
`int` | `x()` Same as `pos`.`x`.
`int` | `y()` Same as `pos`.`y`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QHelpEvent

    public QHelpEvent(QEvent.Type type,
                      QPoint pos,
                      QPoint globalPos)

  Constructs a help event with the given `type` corresponding to the widget-relative position specified by `pos` and the global position specified by `globalPos`.

  `type` must be either QEvent::ToolTip or QEvent::WhatsThis.

  See Also:
    `pos`, `globalPos`

Method Detail

### globalPos

    public final QPoint globalPos()

  Returns the mouse cursor position when the event was generated in global coordinates.

  See Also:
    `pos`, `globalX`, `globalY`

### globalX

    public final int globalX()

  Same as `globalPos`.`x`.

  See Also:
    `x`, `globalY`, `globalPos`

### globalY

    public final int globalY()

  Same as `globalPos`.`y`.

  See Also:
    `y`, `globalX`, `globalPos`

### pos

    public final QPoint pos()

  Returns the mouse cursor position when the event was generated, relative to the widget to which the event is dispatched.

  See Also:
    `globalPos`, `x`, `y`

### x

    public final int x()

  Same as `pos`.`x`.

  See Also:
    `y`, `pos`, `globalPos`

### y

    public final int y()

  Same as `pos`.`y`.

  See Also:
    `x`, `pos`, `globalPos`

### fromNativePointer

    public static QHelpEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QHelpEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD